//package com.ainur.morgoth.net.game.codec;
//
//import com.ainur.morgoth.util.RC4;
//import org.jboss.netty.buffer.ChannelBuffer;
//import org.jboss.netty.buffer.ChannelBuffers;
//import org.jboss.netty.channel.Channel;
//import org.jboss.netty.channel.ChannelHandlerContext;
//import org.jboss.netty.handler.codec.frame.FrameDecoder;
//
///**
// * Intercepts data before it reaches the GameDecoder,
// * to decrypt the message and ensure enough data is available.
// */
//public class EncryptionDecoder extends FrameDecoder {
//    private RC4 rc4;
//
//    public EncryptionDecoder(byte[] key) {
//        this.rc4 = new RC4(key);
//    }
//
//    @Override
//    protected Object decode(ChannelHandlerContext channelHandlerContext, Channel channel, ChannelBuffer channelBuffer) throws Exception {
//        channelBuffer.markReaderIndex();
//        byte[] data = channelBuffer.readBytes(channelBuffer.readableBytes()).array();
//
//        this.rc4.cipherDirect(data);
//
//        ChannelBuffer buffer = ChannelBuffers.wrappedBuffer(data);
//        buffer.markReaderIndex();
//
//        int length = buffer.readInt();
//        buffer.resetReaderIndex();
//
//        if (!(buffer.readableBytes() >= length)) {
//            channelBuffer.resetReaderIndex();
//            return null;
//        }
//
//        return buffer;
//    }
//}