//package com.ainur.morgoth.util;
//
//import com.netflix.governator.annotations.Configuration;
//import org.jboss.netty.buffer.ChannelBuffer;
//import org.jboss.netty.buffer.ChannelBuffers;
//import org.slf4j.Logger;
//import org.slf4j.LoggerFactory;
//
//import java.io.File;
//import java.io.FileInputStream;
//import java.io.IOException;
//
///**
// * Container for the flash policy data
// */
//public class FlashPolicy {
//    private static ChannelBuffer policy;
//
//    private static Logger logger = LoggerFactory.getLogger(FlashPolicy.class);
//
//    public synchronized static ChannelBuffer getPolicy(String policyFile) {
//        if (policy == null) {
//            File policyF = new File(policyFile);
//            String policyStr = "<policy-load-error/>\0";
//
//            if (policyF.exists()) {
//                byte[] policyData = new byte[(int) policyF.length()];
//
//                try (FileInputStream input = new FileInputStream(policyF)) {
//                    //noinspection ResultOfMethodCallIgnored
//                    input.read(policyData);
//                } catch (IOException e) {
//                    logger.error("Failed to read policy (file: " + policyFile + "):", e);
//                }
//
//                policyStr = new String(policyData);
//            } else {
//                logger.error("Policy file not found: " + policyFile);
//            }
//
//            policyStr += "\0";
//            policy = ChannelBuffers.buffer(policyStr.length());
//            policy.writeBytes(policyStr.getBytes());
//        }
//
//        return policy;
//    }
//}