package com.ainur.morgoth.util;

import com.lexicalscope.jewel.cli.Option;

/**
 * Created by Jordan on 13/02/15.
 */
public interface MorgothArgs {
    @Option(description = "system configuration bootstrap file", defaultValue = "morgoth.properties")
    public String getConfigurationBootstrap();

    @Option(description = "postgresql server host", defaultValue = "localhost")
    public String getPostgresHost();

    @Option(description = "postgresql server port", defaultValue = "5432")
    public int getPostgresPort();

    @Option(description = "postgresql server user", defaultValue = "morgoth")
    public String getPostgresUser();

    @Option(description = "postgresql server password", defaultValue = "ainur")
    public String getPostgresPassword();

    @Option(description = "postgresql server database", defaultValue = "morgoth")
    public String getPostgresDatabase();
}
